# RouteDescriptionList

    @IBDesignable
    open class RouteDescriptionList : UIView

A panel displaying a list of scrollable `RouteDescriptionItem` elements for each of the set routes. Note that in case there is no route, it shows a warning via `noRouteFoundLabel` property.

### Types

- `SortType`

  Specifies the metric used for sorting the routes.

  See more

  #### Declaration

  Swift

      public enum SortType : String

- `SortOrder`

  Used for specifiying the sort order.

  See more

  #### Declaration

  Swift

      public enum SortOrder : String

### Properties

- `title`

  The optional panel title.

  Important

  When it is set, the title is displayed at the top of the panel.

  Important

  When it is set to nil, `showTitle` property is set to false, too.

  #### Declaration

  Swift

      @IBInspectable
      public var title: String? { get set }

- `trafficEnabled`

  If traffic should be considered.

  #### Declaration

  Swift

      @IBInspectable
      public var trafficEnabled: Bool

- `showTitle`

  Shows or hides the title.

  #### Declaration

  Swift

      @IBInspectable
      public var showTitle: Bool { get set }

- `sortTypeProxy`

  The proxy property to make the `SortType` property accessible from the Interface Builder.

  #### Declaration

  Swift

      @IBInspectable
      public var sortTypeProxy: String { get set }

- `sortOrderProxy`

  The proxy property to make the `SortOrder` property accessible from the Interface Builder.

  #### Declaration

  Swift

      @IBInspectable
      public var sortOrderProxy: String { get set }

- `visibleSectionsProxy`

  The proxy property to make the `visibleSections` property accessible from the Interface Builder. It accepts a string like icon|duration|length to set the `visibleSections` property: the users can avoid arithmetic while setting this property. Note that unknown substrings are simply ignored.

  Important

  It shadows the visibleSections property.

  #### Declaration

  Swift

      @IBInspectable
      public var visibleSectionsProxy: String { get set }

- `name`

  A string that can be used to represent the panel.

  #### Declaration

  Swift

      public static let name: String

- `routes`

  An array of `NMARoute` objects. The route summary of each route is displayed as a `RouteDescriptionItem` in a row of this list.

  #### Declaration

  Swift

      public var routes: [NMARoute] { get set }

- `entryCount`

  Number of `RouteDescriptionItem` objects in the list.

  #### Declaration

  Swift

      public var entryCount: Int { get }

- `sortType`

  Sorts the type for this `RouteDescriptionList`.

  #### Declaration

  Swift

      public var sortType: RouteDescriptionList.SortType { get set }

- `sortOrder`

  Sorts the order for this `RouteDescriptionList`.

  #### Declaration

  Swift

      public var sortOrder: RouteDescriptionList.SortOrder { get set }

- `visibleSections`

  Sets the visibility of `RouteDescriptionItem` sections.

  Note

  Initially all the sections are visible.

  #### Declaration

  Swift

      public var visibleSections: RouteDescriptionItem.Section { get set }

- `noRouteFoundLabel`

  The label used to display a warning when no route is found.

  Note

  When not set, a label with default settings is used.

  #### Declaration

  Swift

      public var noRouteFoundLabel: UILabel! { get set }

- `alwaysBounceVertical`

  A Boolean value that determines whether bouncing always occurs when vertical scrolling reaches the end of the route description list. The default value is `false`.

  #### Declaration

  Swift

      public var alwaysBounceVertical: Bool { get set }

- `separatorInset`

  Specifies the default inset of route description item separators. The default value is `(0, 72, 0, 0)`.

  #### Declaration

  Swift

      public var separatorInset: UIEdgeInsets { get set }

- `separatorColor`

  The color of separator rows in the route description list. The default value is `.colorDivider`.

  #### Declaration

  Swift

      public var separatorColor: UIColor? { get set }

- `showEmptyRows`

  A boolean value that determines whether empty rows should be displayed in the route description list.

  #### Declaration

  Swift

      public var showEmptyRows: Bool { get set }

- `separatorStyle`

  The style for table cells used as separators. The default value is `.singleLine`.

  #### Declaration

  Swift

      public var separatorStyle: UITableViewCell.SeparatorStyle { get set }

- `listDelegate`

  The optional delegate object. When it is set, the delegate object is informed about the user interactions with this list.

  #### Declaration

  Swift

      public weak var listDelegate: RouteDescriptionListDelegate?